<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
	
	<ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
	
	<pattern>
		<rule context="/tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt">
			<assert test="tei:title[@type eq 'main']" role="ERROR">[E001] Es muss ein title-Element mit @type="main" geben</assert>
		</rule>
	</pattern>
	<pattern>
		<rule context="/tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt">
			<assert test="tei:title[@type eq 'sub']" role="WARNING">[W001] Es sollte ein title-Element mit @type="sub" geben</assert>
		</rule>
	</pattern>
	<pattern>
		<rule context="tei:publisher">
			<report test="matches(., '^\s')" role="WARNING">[W002] Text soll nicht mit Whitespace beginnen</report>
		</rule>
	</pattern>
	<pattern>
		<rule context="tei:sourceDesc/tei:biblStruct/tei:monogr/tei:idno[@type eq 'local']">
			<assert test="doc(resolve-uri('referenz.xml', base-uri(.) ) )//band[idno/text() eq current()/text()]" role="ERROR">[E002] Band-ID nicht in externer Referenz gefunden</assert>
		</rule>
	</pattern>
</schema>