<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
	
	<ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>

	<pattern>
		<rule context="tei:text">
			<assert test="normalize-space(@xml:id)" role="ERROR">[E001] @xml:id muss ausgefüllt werden</assert>
			<assert test="normalize-space(@type)" role="ERROR">[E002] @type muss ausgefüllt werden</assert>
		</rule>
	</pattern>
	
	<pattern>
		<rule context="tei:text[@type eq 'volume' ]">
			<assert test="tei:milestone[@type eq 'additional-counting' and @subtype eq 'age-group' and @unit eq 'volume' ]" role="WARNING">[W001] tei:milestone[@type eq 'additional-counting' and @subtype eq 'age-group' and @unit eq 'volume' ] fehlt</assert>
		</rule>
	</pattern>
	
	<pattern>
		<rule context="tei:div[@type = ('misc_undef', 'patent')]">
			<assert test="normalize-space(@xml:id)" role="ERROR">[E011] @xml:id muss ausgefüllt werden</assert>
		</rule>
	</pattern>
	
	<pattern>
		<rule context="tei:TEI">
			<let name="volumes" value="//tei:text[@type eq 'volume' ]"/>
			<assert test="$volumes" role="ERROR">[E021] tei:text[@type eq 'volume' ] fehlt</assert>
			<report test="$volumes[2]" role="ERROR">[E022] mehr als ein tei:text[@type eq 'volume']</report>
			
			<let name="titlePages" value="$volumes//tei:titlePage[@type eq 'volume' ]"/>
			<assert test="$titlePages" role="ERROR">[E023] tei:text[@type eq 'volume' ]//tei:titlePage[@type eq 'volume' ] fehlt</assert>
			<report test="$titlePages[2]" role="ERROR">[E024] mehr als ein tei:text[@type eq 'volume' ]//tei:titlePage[@type eq 'volume' ]</report>
		</rule>
	</pattern>
	
	<pattern>
		<rule context="@*[starts-with(., '#')]">
			<let name="idrefs" value="for $i in tokenize(., '[ ]')[normalize-space(.)] return translate($i, '#', '')"/>
			<assert test="every $idref in $idrefs satisfies //@xml:id[. eq $idref]" role="ERROR">[E031] fehlende(s) //@xml:id für »<value-of select="."/>«</assert>
		</rule>
	</pattern>
	
	<pattern>
		<rule context="@facs[normalize-space(.)]">
			<let name="filename" value="concat(substring-after(., '/'), '.png')"/>
			<let name="listed_files" value="doc(resolve-uri('files.xml', base-uri(.) ) )//Datei/Name[. eq $filename]"/>
			<assert test="$listed_files" role="ERROR">[E041] referenzierte Datei »<value-of select="$filename"/>« nicht in Dateiliste verzeichnet</assert>
		</rule>
	</pattern>
	
</schema>