<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	queryBinding="xslt2">
	
	<ns prefix="my" uri="irgendeine_gueltige_URI"/>
	
	<ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
	
	<xsl:function name="my:solved" as="xs:boolean">
		<xsl:param name="solved-string" as="xs:string?"/>
		<xsl:param name="searched-token" as="xs:string"/>
		<xsl:choose>
			<xsl:when test="some $i in tokenize($solved-string, '\s') satisfies ($i eq $searched-token)">
				<xsl:sequence select="true()"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:sequence select="false()"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:function>
	
	<pattern>
		<rule context="tei:TEI">
			<let name="volumes" value="//tei:text[@type eq 'volume' ]"/>
			<let name="titlePages" value="$volumes//tei:titlePage[@type eq 'volume' ]"/>
			<assert test="$titlePages or my:solved(@solved, 'MissingTitlePage')" role="WARNING">[E023] tei:text[@type eq 'volume' ]//tei:titlePage[@type eq 'volume' ] fehlt (Solved-Token: »MissingTitlePage«)</assert>
			<report test="$titlePages[2] and not(my:solved(@solved, 'MoreThanOneTitlePage'))" role="WARNING">[E024] mehr als ein tei:text[@type eq 'volume' ]//tei:titlePage[@type eq 'volume' ] (Solved-Token: »MoreThanOneTitlePage«)</report>
		</rule>
	</pattern>

</schema>